Skip to main content
GET
/
v1
/
return_requests
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/return_requests/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "0b80319a-a2e8-445d-9cd8-9b38fabcd20e",
  "object": "return_request",
  "number": "0000-R",
  "status": "open",
  "order": "fb2b42b3-0b5e-41c6-a163-5d2dfd6e1eeb",
  "created_at": 1782209293,
  "updated_at": 1782209293
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

number
string

The unique identifier for this return request that is auto generated based on this account's order protocol.

order

Expandable – The associated order ID.

return_items

Expandable – Property not returned unless expanded.

status
string

The current status of this return request – either open or complete.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.